<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___a_n_s__server__client" kind="group">
    <compoundname>group_ble_service_api_ANS_server_client</compoundname>
    <title>ANS Server and Client Function</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___a_n_s__server__client_1ga09f20135ce014488b17178ef22b88f16" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_ANSS_Init</definition>
        <argsstring>(const cy_stc_ble_anss_config_t *config)</argsstring>
        <name>Cy_BLE_ANSS_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__anss__config__t">cy_stc_ble_anss_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>This function initializes server of the alert notification service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure for the ANS.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Buffer overflow in the registration callback. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="100" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.c" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="171" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___a_n_s__server__client_1gaf6fcd5f02744f5d66f4e78d44999dfc6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_ANSC_Init</definition>
        <argsstring>(const cy_stc_ble_ansc_config_t *config)</argsstring>
        <name>Cy_BLE_ANSC_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__ansc__config__t">cy_stc_ble_ansc_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>This function initializes client of the alert notification service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure for the ANS.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Buffer overflow in the registration callback. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="167" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.c" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="172" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___a_n_s__server__client_1ga67b5d1e739ce9b23ba46accb113b1faa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_ANS_RegisterAttrCallback</definition>
        <argsstring>(cy_ble_callback_t callbackFunc)</argsstring>
        <name>Cy_BLE_ANS_RegisterAttrCallback</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref></type>
          <declname>callbackFunc</declname>
        </param>
        <briefdescription>
<para>Registers a callback function for service-specific attribute operations. </para>        </briefdescription>
        <detaileddescription>
<para>Service-specific Write Requests from the peer device will not be handled with an unregistered callback function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackFunc</parametername>
</parameternamelist>
<parameterdescription>
<para>An application layer event callback function to receive events from the PSoC 6 BLE Middleware. The definition of <ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref> for ANS is:<linebreak />
 typedef void (* cy_ble_callback_t) (uint32_t eventCode, void *eventParam), where:<itemizedlist>
<listitem><para>eventCode: Indicates the event that triggered this callback (e.g. <ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a72109ea31774c91b908a67301222f44b">CY_BLE_EVT_ANSS_NOTIFICATION_ENABLED</ref>).</para></listitem><listitem><para>eventParam: Contains the parameters corresponding to the current event; (e.g. pointer to <ref kindref="compound" refid="structcy__stc__ble__ans__char__value__t">cy_stc_ble_ans_char_value_t</ref> structure that contains details of the characteristic for which the notification enabled event was triggered). </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="194" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.c" bodystart="191" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="173" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>These are API common to both GATT Client role and GATT Server role. </para>    </briefdescription>
    <detaileddescription>
<para>You may use them in either roles.</para><para>No letter is appended to the API name: Cy_BLE_ANS_ </para>    </detaileddescription>
  </compounddef>
</doxygen>